# $Revision: 1.20 $, $Date: 2002/02/23 02:06:15 $
Summary:	An X Window System based window manager
Summary(es):	Administrador de Ventanas: Feeble (Fine?) Virtual Window Manager
Summary(de):	Feeble (Fine?) Virtual Window Manager
Summary(fr):	Feeble (Fine ?) Virtual Window Manager
Summary(pl):	Zarzdca okien dla X Window System
Summary(pt):	Gerenciador de Janelas: Feeble (Fine?) Virtual Window Manager
Summary(tr):	X11 iin pencere denetleyicisi
Name:		fvwm
Version:	1.24r
Release:	24
License:	GPL
Group:		X11/Window Managers
Requires:	fvwm2-icons
Source0:	ftp://sunsite.unc.edu:/pub/Linux/X11/window-managers/%{name}-%{version}.tar.gz
Source1:	%{name}-system.%{name}rc
Source2:	%{name}.desktop
Source3:	%{name}.RunWM
Source4:	%{name}.wm_style
Patch0:		%{name}-fsstnd.patch
Patch1:		%{name}-imake.patch
Patch2:		%{name}-security.patch
Patch3:		%{name}-%{name}man.patch
Patch4:		%{name}-enable-m4.patch
Requires:	wmconfig >= 0.9.9-5
Requires:	m4
Requires:	xinitrc >= 3.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man
%define		_wmpropsdir	%{_datadir}/wm-properties

%description
FVWM (the F stands for whatever you want, but the VWM stands for
Virtual Window Manager) is a window manager for the X Window System.
FVWM was derived from the twm window manager. FVWM is designed to
minimize memory consumption, to provide window frames with a 3D look,
and to provide a simple virtual desktop. FVWM can be configured to
look like Motif.

%description -l es
fvwm es un administrador de ventanas pequeo, rpido y muy flexible.
Puede ser configurado para parecer con Motif, y posee una til "barra
de botones".

%description -l pl
FVWM (za F mona sobie podstawic co kto woli, lecz VWM pochodzi od
pierwszych liter "Virtual Window Manager", czyli wirtualnego menedera
okien) to meneder okien dla systemu X Window. FVWM pochodzi od twm.
Zaprojektowano go tak, by zminimalizowa wymagania pamiciowe,
udostpni ramki okien sprawiajce wraenie trjwymiarowych i proste
biurko wirtualne. Mona tez skonfigurowa FVWM tak, by mia motiffowy
wygld.

%description -l pt
fvwm  um gerente de janelas pequeno, rpido e muito flexvel. Ele
pode ser configurado para parecer com Motif, e possui uma til "barra
de botes".

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
PATH="$PATH:%{_bindir}"; export PATH
xmkmf
%{__make} Makefiles
%{__make} \
	BOOTSTRAPCFLAGS="%{rpmcflags}" \
	CCOPTIONS="%{rpmcflags}" \
	CXXOPTIONS="%{rpmcflags}" \
	CXXDEBUGFLAGS="" \
	CDEBUGFLAGS="" \
	LOCAL_LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/{sysconfig/wmstyle,X11/fvwm},%{_wmpropsdir}}

%{__make} install install.man DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/X11/fvwm/system.fvwmrc
install %{SOURCE2} $RPM_BUILD_ROOT%{_wmpropsdir}

install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/wmstyle/%{name}.sh
install %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/wmstyle/%{name}.names

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc sample.fvwmrc/*
%dir %{_sysconfdir}/X11/fvwm
%config %{_sysconfdir}/X11/fvwm/system.fvwmrc
%attr(755,root,root) /etc/sysconfig/wmstyle/*.sh
/etc/sysconfig/wmstyle/*.names
%dir %{_libdir}/X11/fvwm
%attr(755,root,root) %{_libdir}/X11/fvwm/*
%attr(755,root,root) %{_bindir}/fvwm
%{_wmpropsdir}/fvwm.desktop
%{_mandir}/*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: fvwm.spec,v $
Revision 1.20  2002/02/23 02:06:15  kloczek
- adapterized.

Revision 1.19  2002/02/22 23:28:55  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/01/18 02:12:59  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2001/11/27 09:45:03  qboosh
- pl summary, removed bashism from %%build; release 24

Revision 1.16  2001/04/15 18:02:27  qboosh
- moved /usr/X11R6/share/gnome/wm-properties to /usr/X11R6/share/wm-properties

Revision 1.15  2001/01/25 20:03:23  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.14  2000/12/23 00:48:44  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.13  2000/09/27 13:31:33  kloczek
- spec adapterized, %%{debug} and new rpm rel. 12 ready.

Revision 1.12  2000/08/29 14:08:49  baggins
- release 23
- requires xinitrc 3.0
- added scripts and configs for xinitrc 3.0

Revision 1.11  2000/06/24 12:51:21  baggins
- release 22
- added pre/post menus for use with patched wmconfig
- requires wmconfig >= 0.9.8-3

Revision 1.10  2000/06/22 12:48:44  baggins
- release 21
- enabled m4 for fvwmrc parsing
- requires wmconfig and m4
- use wmconfig for building menus

Revision 1.9  2000/06/20 17:32:13  baggins
- release 20
- new system.fvwmrc
- added fvwm.desktop
- use RPM_OPT_FLAGS

Revision 1.8  2000/06/09 07:54:40  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:22:50  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/18 21:48:36  kloczek
- spec adapterized.

Revision 1.5  2000/04/10 17:06:16  baggins
- more spelling fixes

Revision 1.4  2000/04/01 11:14:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/29 22:58:14  arturs
-added %description -l pl

Revision 1.2  1999/08/20 17:03:59  baggins
- misc fixes and cleanups

Revision 1.1  1999/08/19 20:07:26  baggins
almost raw

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 17)

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- tagged config files correctly
- buildroot

* Thu Oct 23 1997 Cristian Gafton <gafton@redhat.com>
- fixed it for AnotherLevel (icon paths, etc)

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Mon Mar 24 1997 Michael Fulbright <msf@redhat.com>
- Fixed system.fvwmrc to point at /usr/X11R6/include/X11/bitmaps and pixmaps.
  Fvwm wasn't find icons otherwise, which is why they disappeared if someone
  upgraded from 4.0 to 4.1!
